/* ====================================================================
 * The Stanford P2P Sociology Project Software License, Version 1.0
 *
 * Copyright (c) 2003 The Stanford P2P Sociology Project.  All rights
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *       "This product includes software developed by the
 *        Stanford P2P Sociology Project(http://p2p.stanford.edu/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * For more
 * information on the Stanford P2P Sociology Project,
 * see <http://p2p.stanford.edu/>.
 *
 */

package qcsim.net.util;

import java.io.*;

import qcsim.*;

 /**
  * Message used to offer RTRs for files.
  * @author unascribed
  * @version 1.0
  */

public class PeerMsgOfferBuy extends PeerMsgRTR
{
    /*
    public PeerMsgOfferBuy() 
    {
	super();
    }
    */

    public PeerMsgOfferBuy(int source, int dest, int ttl, 
			   int category, int file, int connection,
			   double price, double buyerRep, int buyerID)  {
	super(source, dest, ttl, category, file, connection, price,
	      buyerRep, buyerID); 
    }

    public PeerMsgOfferBuy(PeerMsgOffer msg) {
	// simply switch the source and destination
	// also increment the ttl, since network.send() will decrement it
	super(msg.destination(), msg.source(), msg.ttl()+1,
	msg.category(), msg.file(),msg.connection(),
	msg.price(), msg.buyerRep(), msg.buyerID() );
    }

    public Object clone() 
    {
	return new PeerMsgOfferBuy(source(), destination(), ttl(),
			      category(), file(), connection(),
			      price(), buyerRep(), buyerID());
    }
}
